Package org.silverpeas.mobile.client.apps.news.pages

## Class NewsEditPage

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.PageContent
        - - org.silverpeas.mobile.client.apps.news.pages.NewsEditPage

- All Implemented Interfaces:
    `com.google.gwt.event.dom.client.ClickHandler`, `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.Event.NativePreviewHandler`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `NewsPagesEventHandler`, `View`, `PageEventHandler`

      public class NewsEditPage
      extends PageContent
      implements NewsPagesEventHandler, com.google.gwt.event.dom.client.ClickHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected NewsMessages` | `msg` |

    - ### Fields inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `clicked, pageTitle`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewsEditPage()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `changeTitle​(com.google.gwt.event.dom.client.ChangeEvent event)` |
    `protected void` | `crop​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `void` | `onClick​(com.google.gwt.event.dom.client.ClickEvent clickEvent)` |
    `void` | `onNewsLoad​(NewsLoadedEvent event)` |
    `void` | `onNewsSaved​(NewsSavedEvent event)` |
    `void` | `onOneNewsLoaded​(OneNewsLoadedEvent event)` |
    `static void` | `previewFile​(com.google.gwt.dom.client.Element thumbnail, com.google.gwt.dom.client.Element v)` |
    `protected void` | `save​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `void` | `setApp​(App app)` |
    `void` | `setPublication​(PublicationDTO publication)` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `addActionMenu, addActionShortcut, back, changeSelectionNumber, clearActions, clickGesture, finishLoadingData, getApp, getPageTitle, hide, isSelectionMode, isVisible, loadedDataEvent, loadedMoreDataEvent, onPreviewNativeEvent, receiveEvent, removeActionMenu, removeActionShortcut, setPageTitle, setSelectionMode, setViewport, setVisible, show`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### msg

          @UiField(provided=true)
          protected NewsMessages msg

  - ### Constructor Detail

    - #### NewsEditPage

          public NewsEditPage()

  - ### Method Detail

    - #### setApp

          public void setApp​(App app)

      Overrides:
        `setApp` in class `PageContent`

    - #### setPublication

          public void setPublication​(PublicationDTO publication)

    - #### crop

          @UiHandler("crop")
          protected void crop​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### save

          @UiHandler("submit")
          protected void save​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### onNewsSaved

          public void onNewsSaved​(NewsSavedEvent event)

      Specified by:
        `onNewsSaved` in interface `NewsPagesEventHandler`

    - #### onOneNewsLoaded

          public void onOneNewsLoaded​(OneNewsLoadedEvent event)

      Specified by:
        `onOneNewsLoaded` in interface `NewsPagesEventHandler`

    - #### changeTitle

          @UiHandler("title")
          protected void changeTitle​(com.google.gwt.event.dom.client.ChangeEvent event)

    - #### onClick

          public void onClick​(com.google.gwt.event.dom.client.ClickEvent clickEvent)

      Specified by:
        `onClick` in interface `com.google.gwt.event.dom.client.ClickHandler`

    - #### previewFile

          public static void previewFile​(com.google.gwt.dom.client.Element thumbnail,
                                         com.google.gwt.dom.client.Element v)

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `View`
      Overrides:
        `stop` in class `PageContent`

    - #### onNewsLoad

          public void onNewsLoad​(NewsLoadedEvent event)

      Specified by:
        `onNewsLoad` in interface `NewsPagesEventHandler`